API reference
Airports
Search airports and nearby fields, read the FBOs on a field, and add or update your own FBOs.
Search airports
GET/v1/airports
- Scope
read- Quota
- Counts toward your allowance
Query parameters
qstringUp to 120 characters.
countrystringExactly 2 characters.
regionstringtypearray of stringsOne of
large_airportmedium_airportsmall_airportheliportseaplane_baseclosednearstringradius_nmnumberMore than 0 and up to 500. Defaults to
50.min_runway_ftinteger0 or more.
has_customsbooleansortstringOne of
icao-icaoiata-iataname-namecity-citytype-typelongest_runway_ft-longest_runway_ftdistance_nm-distance_nmcursorstringUp to 2,000 characters.
limitintegerFrom 1 to 100. Defaults to
25.
Response
200 OK
Returns a page of airport summary objects in items, with next_cursor and total.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl "$CHARTEROPS_API_URL/v1/airports" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY"Read an airport
GET/v1/airports/{code}
- Scope
read- Quota
- Counts toward your allowance
Path parameters
codestringRequired
Response
200 OK
Returns the airport object.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl "$CHARTEROPS_API_URL/v1/airports/$CODE" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY"List airport FBOs
GET/v1/airports/{code}/fbos
- Scope
read- Quota
- Counts toward your allowance
Path parameters
codestringRequired
Query parameters
sortstringDefaults to
name.One of
name-namephone-phonefuel_brands-fuel_brandshours-hourscursorstringUp to 2,000 characters.
limitintegerFrom 1 to 100. Defaults to
25.
Response
200 OK
Returns a page of FBO objects in items, with next_cursor and total.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl "$CHARTEROPS_API_URL/v1/airports/$CODE/fbos" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY"Find nearby airports
GET/v1/airports/{code}/nearby
- Scope
read- Quota
- Counts toward your allowance
Path parameters
codestringRequired
Query parameters
radius_nmnumberMore than 0 and up to 500. Defaults to
50.typearray of stringsOne of
large_airportmedium_airportsmall_airportheliportseaplane_baseclosedmin_runway_ftinteger0 or more.
sortstringOne of
icao-icaoiata-iataname-namecity-citytype-typelongest_runway_ft-longest_runway_ftdistance_nm-distance_nmcursorstringUp to 2,000 characters.
limitintegerFrom 1 to 100. Defaults to
25.
Response
200 OK
Returns a page of airport summary objects in items, with next_cursor and total.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl "$CHARTEROPS_API_URL/v1/airports/$CODE/nearby" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY"Submit an FBO
POST/v1/fbos
- Scope
write- Quota
- Does not count
Headers
Idempotency-KeystringRequired1 to 200 characters.
Request body
airport_codestringRequired1 to 20 characters.
namestringRequired1 to 120 characters.
emailemailfuel_brandsarray of stringsUp to 10 items. Each item: 1 to 40 characters.
hoursstringUp to 200 characters.
notesstringUp to 2,000 characters.
phonestringUp to 40 characters.
websiteURL1 to 2,083 characters.
Response
201 Created
Returns the FBO object.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl --request POST "$CHARTEROPS_API_URL/v1/fbos" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY" \
--header "Idempotency-Key: $(uuidgen)" \
--json @body.jsonUpdate an owned FBO
PATCH/v1/fbos/{id}
- Scope
write- Quota
- Does not count
Path parameters
idUUIDRequired
Request body
emailemailfuel_brandsarray of stringsUp to 10 items. Each item: 1 to 40 characters.
hoursstringUp to 200 characters.
namestring1 to 120 characters.
notesstringUp to 2,000 characters.
phonestringUp to 40 characters.
websiteURL1 to 2,083 characters.
Response
200 OK
Returns the FBO object.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl --request PATCH "$CHARTEROPS_API_URL/v1/fbos/$ID" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY" \
--json @body.jsonObjects
Airport summary
citystringCan be nullcodestringcountrystringdistance_nmnumberCan be nullelevation_ftintegerCan be nulliatastringCan be nullicaostringCan be nullidUUIDlatitudenumberlocal_codestringCan be nulllongest_runway_ftintegerCan be nulllongitudenumbernamestringregionstringCan be nulltimezonestringCan be nulltypestringOne of
large_airportmedium_airportsmall_airportheliportseaplane_baseclosed
Airport
citystringCan be nullcodestringcountrystringdistance_nmnumberCan be nullelevation_ftintegerCan be nullfbo_countintegerhas_customsbooleanCan be nulliatastringCan be nullicaostringCan be nullidUUIDlatitudenumberlocal_codestringCan be nulllongest_runway_ftintegerCan be nulllongitudenumbernamestringregionstringCan be nullrunwaysarray of objects7 fields in runways
closedbooleanidUUIDidentstringlength_ftintegerCan be nulllightedbooleansurfacestringCan be nullwidth_ftintegerCan be null
scheduled_servicebooleansourcestringsource_updated_atdate-timeCan be nulltimezonestringCan be nulltypestringOne of
large_airportmedium_airportsmall_airportheliportseaplane_baseclosed
FBO
airportobject10 fields in airport
citystringCan be nullcodestringcountrystringiatastringCan be nullicaostringCan be nullidUUIDlatitudenumberlongitudenumbernamestringtimezonestringCan be null
created_atdate-timeemailstringCan be nullfuel_brandsarray of stringsCan be nullhoursstringCan be nullidUUIDis_ownbooleannamestringnotesstringCan be nullphonestringCan be nullsourcestringsubmitted_by_organization_namestringCan be nullwebsitestringCan be null